
Robotics Service Bus - Bug #592
Unhandled excteption in Windows version
09/28/2011 11:49 AM - Anonymous

Status: Resolved Start date: 09/28/2011
Priority: Urgent Due date:
Assignee: J. Wienke % Done: 0%
Category: C++ Estimated time: 0.00 hour
Target version: 0.4
Description

After RSBVideoReciever recieves a message it dies with unhandled expception. Stack trace:

     msvcr90d.dll!_NMSG_WRITE(int rterrnum=10)  Line 198    C
     msvcr90d.dll!abort()  Line 59 + 0x7 bytes    C
     msvcr90d.dll!terminate()  Line 130    C++
     rsbvideoreceiver.exe!__CxxUnhandledExceptionFilter(_EXCEPTION_POINTERS * pPtrs=0x0447ea84)  Line 70    C++
     kernel32.dll!77090746()     
     [Frames below may be incorrect and/or missing, no symbols loaded for kernel32.dll]    
     kernel32.dll!77086c4f()     
     msvcr90d.dll!_getptd_noexit()  Line 618    C
     0447eb84()    
     ntdll.dll!77187f1a()     
     ntdll.dll!7712e304()     
     ntdll.dll!7712e18c()     
     ntdll.dll!771571b9()     
     ntdll.dll!7715718b()     
     ntdll.dll!7712f96f()     
     ntdll.dll!77157017()     
     KernelBase.dll!7536d36f()     
     KernelBase.dll!7536d36f()     
     KernelBase.dll!7536d36f()     
     msvcp90d.dll!std::basic_string<char,std::char_traits<char>,std::allocator<char> >::assign(const
std::basic_string<char,std::char_traits<char>,std::allocator<char> > & _Right="No converter for wire-schema or data-type
`.rst.ImageMessage'.
Available converters: {.*: *class rsb::converter::ByteArrayConverter[wireType = class std::basic_string<char,struct
std::char_traits<char>,class std::allocator<char> >, wireSchema = .*, dataType = bytearray] at 010DE340, .class
rst.ImageMessage: *class rst::converter::iplimageconverter::IplImageConverter[wireType = class std::basic_, unsigned int
_Roff=0, unsigned int _Count=4294967295)  Line 1070    C++
     msvcp90d.dll!std::basic_string<char,std::char_traits<char>,std::allocator<char>
>::basic_string<char,std::char_traits<char>,std::allocator<char> >(const
std::basic_string<char,std::char_traits<char>,std::allocator<char> > & _Right=<Bad Ptr>)  Line 734    C++
     0447ef0c()    
>   
RSBCore.dll!rsb::transport::ConverterSelectingConnector<std::basic_string<char,std::char_traits<char>,std::allocator<char> >
>::getConverter(const std::basic_string<char,std::char_traits<char>,std::allocator<char> > & key=".rst.ImageMessage")  Line 64
+ 0x25 bytes    C++
     RSBCore.dll!rsb::spread::ReceiverTask::notifyHandler(boost::shared_ptr<rsb::protocol::Notification> notification={...},
boost::shared_ptr<std::basic_string<char,std::char_traits<char>,std::allocator<char> > > data={...})  Line 146 + 0x22 bytes   
C++
     RSBCore.dll!rsb::spread::ReceiverTask::execute()  Line 90    C++
     rsc.dll!rsc::threading::RepetitiveTask::run()  Line 66 + 0xf bytes    C++
     rsc.dll!rsc::threading::ThreadedTaskExecutor::executeTask(boost::shared_ptr<rsc::threading::Task> task={...})  Line 39 +
0x1a bytes    C++
     rsc.dll!boost::_bi::list1<boost::_bi::value<boost::shared_ptr<rsc::threading::Task> > >::operator()<void
(__cdecl*)(boost::shared_ptr<rsc::threading::Task>),boost::_bi::list0>(boost::_bi::type<void> __formal={...}, void
(boost::shared_ptr<rsc::threading::Task>)* & f=0x67162b99, boost::_bi::list0 & a={...}, boost::_bi::type<void> __formal={...}) 
Line 253 + 0x43 bytes    C++
     rsc.dll!boost::_bi::bind_t<void,void
(__cdecl*)(boost::shared_ptr<rsc::threading::Task>),boost::_bi::list1<boost::_bi::value<boost::shared_ptr<rsc::threading::Task>
> > >::operator()()  Line 21    C++
     rsc.dll!boost::detail::thread_data<boost::_bi::bind_t<void,void
(__cdecl*)(boost::shared_ptr<rsc::threading::Task>),boost::_bi::list1<boost::_bi::value<boost::shared_ptr<rsc::threading::Task>
> > > >::run()  Line 62    C++
     boost_thread-vc90-mt-gd-1_47.dll!10001800()     
     msvcr90d.dll!_callthreadstartex()  Line 348 + 0xf bytes    C
     msvcr90d.dll!_threadstartex(void * ptd=0x010e7208)  Line 331    C
     kernel32.dll!7707ed6c()     
     ntdll.dll!771737f5()     
     ntdll.dll!771737c8()     

History
#1 - 09/28/2011 11:57 AM - Anonymous

Revision used:
https://code.humavips.eu/svn/rsbvideoreceiver/trunk@3
https://code.cor-lab.org/svn/rsb/branches/0.4@2749
https://code.cor-lab.org/svn/rsc/branches/0.4/rsc@366
https://code.cor-lab.org/svn/rst/trunk/rst@59

#2 - 10/21/2011 05:03 PM - S. Wrede
- Assignee changed from S. Wrede to J. Wienke

#3 - 10/21/2011 05:03 PM - S. Wrede
- Target version set to 0.5

#4 - 10/21/2011 06:10 PM - J. Wienke
- Category set to C++
- Status changed from New to Resolved
- Target version changed from 0.5 to 0.4

This is already fixed in trunk with r2593. As we will release 0.5 soon, I will not backport this fix to 0.4.
